> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/redivis/redivisusdcurrent_workflow.md).

# redivis$current\_workflow

### **redivis$**<mark style="color:purple;">**current\_workflow**</mark>**()** → [Workflow](/api/client-libraries/redivis-r/reference/workflow.md)

Returns a reference to the current workflow. Can only be called from within a running Redivis notebook, or if a [default workflow is set](/api/client-libraries/redivis-python/reference.md#environment-variables).

### **Returns:**

[**Workflow**](/api/client-libraries/redivis-r/reference/workflow.md)

### Examples

```r
workflow <- redivis$current_workflow()

workflow$list_tables()      # -> List tables in workflow 
workflow$list_notebooks()   # -> List notebooks in workflow
workflow$list_transform()   # -> List transforms in workflow
workflow$list_datasources() # -> List datasources in workflow
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/redivis/redivisusdcurrent_workflow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
